FIND_INODE_NUMBER(9)

NAME
find_inode_number - check for dentry with name

SYNOPSIS

ino_t find_inode_number (struct dentry * dir, struct qstr * name);

ARGUMENTS

dir directory to check

name
    Name to find.

DESCRIPTION

Check whether a dentry already exists for the given name, and return the inode number if it has an inode. Otherwise 0 is returned.

This routine is used to post-process directory listings for filesystems using synthetic inode numbers, and is necessary to keep getcwd working.